###

###

###

###

###

###

    STRCAT(3)           Linux Programmer's Manual           STRCAT(3)

    NAME
           strcat, strncat - concatenate two strings

    SYNOPSIS
           #include <string.h>

           char *strcat(char *dest, const char *src);

           char *strncat(char *dest, const char *src, size_t n);

    DESCRIPTION
           The  strcat()  function appends the src string to the dest
           string overwriting the `\0' character at the end of  dest,
           and  then  adds a terminating `\0' character.  The strings
           may not overlap, and the  dest  string  must  have  enough
           space for the result.

           The  strncat()  function  is similar, except that only the
           first n characters of src are appended to dest.

    RETURN VALUE
           The strcat() and strncat() functions return a  pointer  to
           the resulting string dest.

    CONFORMING TO
           SVID 3, POSIX, BSD 4.3, ISO 9899

### SEE ALSO

bcopy, memccpy, memcpy, strcpy, strncpy,

###

    GNU                       April 11, 1993                        1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0